- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# junos_ping – Tests reachability using ping from devices running Juniper JUNOS

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Tests reachability using ping from devices running Juniper JUNOS to a remote destination.

- Tested against Junos (17.3R1.10)

- For a general purpose network module, see the net_ping module.

- For Windows targets, use the win_ping module instead.

- For targets running Python, use the ping module instead.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
count integer | Default: 5 | Number of packets to send to check reachability.
dest - / required |  | The IP Address or hostname (resolvable by the device) of the remote node.
interface - |  | The source interface to use while sending the ping packet(s).
interval integer |  | Determines the interval (in seconds) between consecutive pings.
provider dictionary |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli` or `connection: netconf`. For more information please see the Junos OS Platform Options guide. A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device. The port value will default to the well known SSH port of 22 (for `transport=cli`) or port 830 (for `transport=netconf`) device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
size integer |  | Determines the size (in bytes) of the ping packet(s).
source - |  | The IP Address to use while sending the ping packet(s).
state - | Choices: absent present ← | Determines if the expected result is success or fail.
ttl integer |  | The time-to-live value for the ICMP packet(s).

## Notes

Note

- For a general purpose network module, see the net_ping module.

- For Windows targets, use the win_ping module instead.

- For targets running Python, use the ping module instead.

- This module works only with connection `network_cli`.

- For information on using CLI and netconf see the Junos OS Platform Options guide

- For more information on using Ansible to manage network devices see the Ansible Network Guide

- For more information on using Ansible to manage Juniper network devices see https://www.ansible.com/ansible-juniper.

## Examples

    - name: Test reachability to 10.10.10.10
      junos_ping:
        dest: 10.10.10.10

    - name: Test reachability to 10.20.20.20 using source and size set
      junos_ping:
        dest: 10.20.20.20
        size: 1024
        ttl: 128

    - name: Test unreachability to 10.30.30.30 using interval
      junos_ping:
        dest: 10.30.30.30
        interval: 3
        state: absent

    - name: Test reachability to 10.40.40.40 setting count and interface
      junos_ping:
        dest: 10.40.40.40
        interface: fxp0
        count: 20
        size: 512

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | List of commands sent. Sample: ['ping 10.8.38.44 count 10 source 10.8.38.38 ttl 128']
packet_loss string | always | Percentage of packets lost. Sample: 0%
packets_rx integer | always | Packets successfully received. Sample: 20
packets_tx integer | always | Packets successfully transmitted. Sample: 20
rtt dictionary | when ping succeeds | The round trip time (RTT) stats. Sample: {'avg': 2, 'max': 8, 'min': 1, 'stddev': 24}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Nilashish Chakraborty (@NilashishC)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.